Skip to main content
GET
/
surveys
/
{survey_id_or_slug}
/
files
List files linked to a survey
curl --request GET \
  --url https://api.questra.ai/surveys/{survey_id_or_slug}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "total": 1,
  "items": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "mime_type": "<string>",
      "org_id": "<string>",
      "survey_id": "<string>",
      "ai_file_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

survey_id_or_slug
string
required

Unique ID or slug for the survey to list files from

Query Parameters

limit
integer
default:10

The number of results to show per page

Required range: 1 <= x <= 100
offset
integer
default:0

The number of results to skip before returning

Required range: x >= 0
query
string

A word or phrase that matches one or more files to return

Response

total
integer
required

Total number of items matching the query

Required range: x >= 0
items
object[]
required